<template>
  <div>
    <Browse @url="handleItem"/>
    <Read :url="url" :items="items" :structure="structure" />
  </div>
</template>

<script>
  import Browse from "@/components/Browse";
  import Read from "@/components/Read";

  export default {
    name: 'Home',
    components: {
      Browse,
      Read,
    },
    data() {
      return {
        items: [],
        url: '',
        structure: {}
      }
    },
    methods: {
      getStructure(url){
        if(url){
          this.$axios.get(`/${url}/structure`) // url = client ou facture ou produit
              .then((response) => {
                this.structure = response.data
              }).catch((error) =>{
            console.log(error)
          })
        } else {
          console.log("pas d'url")
        }
      },
      getItem(url){
        if(url){
          this.$axios.get(`/${url}`)
              .then((response) => {
                this.items = response.data
              }).catch((error) =>{
            console.log(error)
          })
          this.getStructure(url)
        } else {
          console.log("pas d'url")
        }
      },
      handleItem(event){
        this.getItem(event)
        this.url = event

      },
    }
  }
</script>
